package com.realnet.create_a_blue_20251004_121352-b.Services;
import com.realnet.create_a_blue_20251004_121352-b.Repository.CalculatorinputRepository;
import com.realnet.create_a_blue_20251004_121352-b.Entity.Calculatorinput
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class CalculatorinputService {
@Autowired
private CalculatorinputRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Calculatorinput Savedata(Calculatorinput data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Calculatorinput save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Calculatorinput> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Calculatorinput> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Calculatorinput> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Calculatorinput getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Calculatorinput update(Calculatorinput data,Integer id) {
	Calculatorinput old = Repository.findById(id).get();
old.setFirstnumber(data.getFirstnumber());

old.setSecondnumber(data.getSecondnumber());

old.setOperation(data.getOperation());

final Calculatorinput test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
